POS

Add CaseID Items to Inventory Collection

CaseID items will be added to an Inventory Collection with the specified identifier.

  • If specified Identifier belongs to an existing Inventory Collection, CaseID items will be added to that collection.

  • If specified Identifier belongs to a non-existing Inventory Collection, a new collection will be created.

  • If specified Identifier belongs to an Inventory Collection that was removed, a new collection will be created with a random Identifier.

  • If no identifier is specified, a new inventory collection will be created with a random auto-generated identifier.

Endpoint

POST /api/v1.2/collections/inventory-pos/<shortuuid:dispensary_uuid>/add-items/

Request Fields

Field

Type

Required

Description

case_uuid

uuid

yes

UUID of the CaseID to add items from

inventory_collection_identifier

string

no

Identifier for the inventory collection. If empty, a new collection is created

internal_inventory_item_id

string

no

Internal inventory item ID from the POS system

internal_catalog_product_id

string

no

Internal catalog product ID from the POS system

hostname

string

no

Hostname of the POS system

lucid_ids

array

yes

List of LucidID UUIDs to add to the inventory collection

Example Payload

{
    "case_uuid": "<uuid>",
    "inventory_collection_identifier": "",
    "internal_inventory_item_id": "",
    "internal_catalog_product_id": "",
    "hostname": "",
    "lucid_ids": [
        "<uuid>",
        "<uuid>"
    ]
}

Response

200

{
    "inventory_collection_identifier": ""
}

400 will be returned in the following cases:

  • CaseID is empty.

  • Some LucidIDs does not belong to CaseID.

  • CaseID was scanned before for a different dispensary.

  • LucidIDs submitted does not belong to the same product/batch.

Get Inventory Collection of a LucidID

Endpoint

GET /api/v1.2/collections/inventory-pos/lucid-id/<shortuuid:lucidid_uuid>/

Response

200

{
   "inventory_collection_identifier": ""
}

404 if no Inventory Collection could be found for the specified LucidID

Delete Inventory Collection

Endpoint

DELETE /api/v1.2/collections/inventory-pos/<shortuuid:dispensary_uuid>/<str:inventory_collection_identifier>/delete/

Response

200

Resolve LucidID

  • Get the Inventory Collection of an Item

Endpoint

GET /api/v1.2/inventory-pos/resolve-lucid-id/?lucid_id=<Lucid ID>

200 Response

{
  "inventory_identifier": "<uuid>"
}

400 Response if no Inventory Collection could be found for the specified LucidID

{}

400 Response

{
  "status": "invalid payload",
  "reason": {
    "lucid_id": [
      "Invalid LucidID"
    ]
  }
}